Skip to main content
GET
/
v1
/
matching-markets
Cross-Platform Matches
curl --request GET \
  --url https://api.arbiterapi.com/v1/matching-markets \
  --header 'X-API-Key: <api-key>'
{
  "matches": [
    {
      "polymarket": {},
      "kalshi": {},
      "score": 123,
      "confidence": "<string>"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Query Parameters

min_score
number | null

Minimum match score (0-100)

confidence
string | null

Filter by confidence: high, medium

q
string | null

Search within matched market titles

polymarket_market_slug
string[] | null

Find matches for specific Polymarket slugs

kalshi_event_ticker
string[] | null

Find matches for specific Kalshi event tickers

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

matches
MatchedMarket · object[]
required
total
integer
required